<< nnls | FOSSEE_Signal_Processing_Toolbox | oct_interp >>

FOSSEE_Signal_Processing_Toolbox >> FOSSEE_Signal_Processing_Toolbox > nuttallwin

# nuttallwin

Return the filter coefficients of a Blackman-Harris window defined by Nuttall of length m.

### Syntax

    w = nuttallwin(m)
    w = nuttallwin(m, "periodic")
    w = nuttallwin(m, "symmetric")

### Parameters

m:

  Positive integer specifying the length of the window.

opt:

  (optional) String specifying the type of window. Possible values are:

- "periodic":

  Returns the periodic form of the window (equivalent to a window of length m+1 with the last coefficient removed).

- "symmetric":

  Default behavior if no second argument is provided.

w:

  Vector containing the Nuttall window coefficients.

### Description

The `nuttallwin` function computes the coefficients of a Blackman-Harris window as defined by Nuttall. The window is of length `m`. If the optional argument `"periodic"` is provided, the periodic form of the window is returned. If `"symmetric"` is provided or no second argument is specified, the symmetric form of the window is returned.

// Notes - The periodic form of the window is useful for spectral analysis where periodicity is assumed. - The symmetric form is typically used for filter design.

### Examples

    //. Compute a symmetric Nuttall window of length 10:
    w = nuttallwin(10)

    // Compute a periodic Nuttall window of length 10:
    w = nuttallwin(10, "periodic")

    // Compute a symmetric Nuttall window explicitly:
    w = nuttallwin(10, "symmetric")

### Authors

- FOSSEE Team
- toolbox@scilab.in

Report an issue
<< nnls | FOSSEE_Signal_Processing_Toolbox | oct_interp >>